Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface ServiceSelector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ServiceSelector

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Service Selector'. Selettore del servizio così come previsto dalle specifiche del servizio di naming CSIRegistry

The following features are supported:

- `Cod Prod`
- `Cod Serv`
- `Ver Serv`
- `Cod Ente`
- `Istanza`
- `Ambiente`
- `Cod Binding`

See Also:
  `AppresourcesPackage.getServiceSelector()`

Method Summary
`java.lang.String` | `getAmbiente()` Returns the value of the 'Ambiente' attribute
`java.lang.String` | `getCodBinding()` Returns the value of the 'Cod Binding' attribute
`java.lang.String` | `getCodEnte()` Returns the value of the 'Cod Ente' attribute
`java.lang.String` | `getCodProd()` Returns the value of the 'Cod Prod' attribute
`java.lang.String` | `getCodServ()` Returns the value of the 'Cod Serv' attribute
`java.lang.String` | `getIstanza()` Returns the value of the 'Istanza' attribute
`java.lang.String` | `getVerServ()` Returns the value of the 'Ver Serv' attribute
`void` | `setAmbiente(java.lang.String value)` Sets the value of the '`Ambiente`' attribute
`void` | `setCodBinding(java.lang.String value)` Sets the value of the '`Cod Binding`' attribute
`void` | `setCodEnte(java.lang.String value)` Sets the value of the '`Cod Ente`' attribute
`void` | `setCodProd(java.lang.String value)` Sets the value of the '`Cod Prod`' attribute
`void` | `setCodServ(java.lang.String value)` Sets the value of the '`Cod Serv`' attribute
`void` | `setIstanza(java.lang.String value)` Sets the value of the '`Istanza`' attribute
`void` | `setVerServ(java.lang.String value)` Sets the value of the '`Ver Serv`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCodProd

    java.lang.String getCodProd()

  Returns the value of the 'Cod Prod' attribute.

  If the meaning of the 'Cod Prod' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here]]

  Returns:
    the value of the 'Cod Prod' attribute.
  See Also:
    `setCodProd(String)`, `AppresourcesPackage.getServiceSelector_CodProd()`

### setCodProd

    void setCodProd(java.lang.String value)

  Sets the value of the '`Cod Prod`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Prod' attribute.
  See Also:
    `getCodProd()`

### getCodServ

    java.lang.String getCodServ()

  Returns the value of the 'Cod Serv' attribute.

  If the meaning of the 'Cod Serv' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here]]

  Returns:
    the value of the 'Cod Serv' attribute.
  See Also:
    `setCodServ(String)`, `AppresourcesPackage.getServiceSelector_CodServ()`

### setCodServ

    void setCodServ(java.lang.String value)

  Sets the value of the '`Cod Serv`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Serv' attribute.
  See Also:
    `getCodServ()`

### getVerServ

    java.lang.String getVerServ()

  Returns the value of the 'Ver Serv' attribute.

  If the meaning of the 'Ver Serv' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here]]

  Returns:
    the value of the 'Ver Serv' attribute.
  See Also:
    `setVerServ(String)`, `AppresourcesPackage.getServiceSelector_VerServ()`

### setVerServ

    void setVerServ(java.lang.String value)

  Sets the value of the '`Ver Serv`' attribute.

  Parameters:
    `value` - the new value of the 'Ver Serv' attribute.
  See Also:
    `getVerServ()`

### getCodEnte

    java.lang.String getCodEnte()

  Returns the value of the 'Cod Ente' attribute.

  If the meaning of the 'Cod Ente' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here]]

  Returns:
    the value of the 'Cod Ente' attribute.
  See Also:
    `setCodEnte(String)`, `AppresourcesPackage.getServiceSelector_CodEnte()`

### setCodEnte

    void setCodEnte(java.lang.String value)

  Sets the value of the '`Cod Ente`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Ente' attribute.
  See Also:
    `getCodEnte()`

### getIstanza

    java.lang.String getIstanza()

  Returns the value of the 'Istanza' attribute.

  If the meaning of the 'Istanza' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here]]

  Returns:
    the value of the 'Istanza' attribute.
  See Also:
    `setIstanza(String)`, `AppresourcesPackage.getServiceSelector_Istanza()`

### setIstanza

    void setIstanza(java.lang.String value)

  Sets the value of the '`Istanza`' attribute.

  Parameters:
    `value` - the new value of the 'Istanza' attribute.
  See Also:
    `getIstanza()`

### getAmbiente

    java.lang.String getAmbiente()

  Returns the value of the 'Ambiente' attribute.

  If the meaning of the 'Ambiente' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here]]

  Returns:
    the value of the 'Ambiente' attribute.
  See Also:
    `setAmbiente(String)`, `AppresourcesPackage.getServiceSelector_Ambiente()`

### setAmbiente

    void setAmbiente(java.lang.String value)

  Sets the value of the '`Ambiente`' attribute.

  Parameters:
    `value` - the new value of the 'Ambiente' attribute.
  See Also:
    `getAmbiente()`

### getCodBinding

    java.lang.String getCodBinding()

  Returns the value of the 'Cod Binding' attribute.

  If the meaning of the 'Cod Binding' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here]]

  Returns:
    the value of the 'Cod Binding' attribute.
  See Also:
    `setCodBinding(String)`, `AppresourcesPackage.getServiceSelector_CodBinding()`

### setCodBinding

    void setCodBinding(java.lang.String value)

  Sets the value of the '`Cod Binding`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Binding' attribute.
  See Also:
    `getCodBinding()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD